## guzzle 7.4.4

=== debian/changelog ===
guzzle (7.4.4-2) unstable; urgency=medium

  * Team upload
  * Install phpabtpl(1) autoloaders
  * Fix autoload.php
  * Drop broken autopkgtests

 -- David Prévot <taffit@debian.org>  Sun, 19 Jun 2022 19:51:44 +0200

guzzle (7.4.4-1) sid; urgency=medium

  * Upgrading to 7.4.4 because of cookie injection leak (Closes: #1011636)
    [CVE-2022-31042, CVE-2022-31043]
  * Adding test folder to debian.
  * Adopting debian/rules to the salsa standard.
  * Optimizing watchfile.
  * Adding some more files which have to be cleaned.
  * Adding gbp config file.
  * Adding upstream/metadata and signing key.
  * Adding newer standards version.
  * debian/control: Correcting Vcs* paths.
  * debian/control: Break should also be valid for Debian-replace.

 -- Katharina Drexel <katharina.drexel@bfh.ch>  Thu, 16 Jun 2022 18:22:39 +0200

guzzle (7.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1004898).

 -- Katharina Drexel <katharina.drexel@bfh.ch>  Mon, 31 Jan 2022 17:14:16 +0100
