=== debian/changelog ===
guzzle (7.4.5-1) unstable; urgency=medium

  * Upgrading to 7.4.5 because of patch concerning removing authorization and
    cookie headers
    (Closes: #1014492)
    [CVE-2022-31091, CVE-2022-31090]
  * d/watch: removing typo.
  * d/gbp.conf: Adopting vcs-tag to upstream tar name.

 -- Katharina Drexel <katharina.drexel@bfh.ch>  Thu, 07 Jul 2022 09:27:40 +0200
