=== debian/control ===
Source: guzzle
Section: php
Priority: optional
Maintainer: Katharina Drexel <katharina.drexel@bfh.ch>
Build-Depends:
 debhelper-compat (= 13),
 phpab,
 php-guzzlehttp-promises,
 php-guzzlehttp-psr7,
 php-psr-http-client,
 php-symfony-deprecation-contracts,
 pkg-php-tools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/guzzle/guzzle
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-guzzle
Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-guzzle.git

Package: php-guzzlehttp-guzzle
Architecture: all
Depends:
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: ${phpcomposer:description}
 Guzzle is a PHP HTTP client that makes it easy to send HTTP requests and
 trivial to integrate with web services.
 .
  * Simple interface for building query strings, POST requests, streaming
    large uploads, streaming large downloads, using HTTP cookies, uploading
    JSON data, etc.
  * Can send both synchronous and asynchronous requests using the same
    interface.
  * Uses PSR-7 interfaces for requests, responses, and streams. This
    allows you to utilize other PSR-7 compatible libraries with Guzzle.
  * Supports PSR-18 allowing interoperability between other PSR-18 HTTP Clients.
  * Abstracts away the underlying HTTP transport, allowing you to write
    environment and transport agnostic code; i.e., no hard dependency on cURL,
    PHP streams, sockets, or non-blocking event loops.
  * Middleware system allows you to augment and compose client behavior.
