=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with phpcomposer

#override_dh_auto_build:
#	phpab --output src/autoload.php src

execute_before_dh_auto_build:
	# Build a template for phpab(1)
# (not needed if the package has no dependency)
	phpabtpl \
		--basedir src \
		composer.json > \
		debian/autoload.php.tpl
	phpab --output src/autoload.php --template debian/autoload.php.tpl src

execute_before_dh_auto_test:
	# does not work - empty file generated
	# Build classloader for tests
	# mkdir --parents vendor guzzlehttp
	# phpabtpl \
	#	--require guzzlehttp/guzzle \
	#	--require phpspec/prophecy-phpunit \
	#	# If packages from ''require-dev'' in ''composer.json''
	#	# are actually needed to run the testsuite
	#	--require-file tests \
	#	# If ''files'' from ''autoload-dev'' in ''composer.json''
	#	> debian/autoload.tests.php.tpl
	#phpab \
	#	--output vendor/autoload.php \
	#	--template debian/autoload.tests.php.tpl \
	#	tests
	# Workaround to ensure the local class takes precedence during tests.
	#ln -sr src guzzlehttp/guzzle 

#override_dh_auto_test:
#	phpunit
