=== debian/watch ===
version=4
opts=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/guzzle/guzzle \
refs/tags/v?(\d.+)
