=== debian/changelog ===
guzzle (7.9.2-0.1) unstable; urgency=medium

  [ Katharina Drexel ]
  * Adding patch for removing Makefile (disturbing build process).
  * d/gbp.conf: Correcting upstream-vcs-tag.
  * d/control: Setting php-pear mailing list as maintainer.
  * d/control: Sorting.
  * Updating changelog.
  * d/rules: removing trailing whitespace.

  [ Ondřej Surý ]
  * New upstream version with PHP 8.4 support
  * Non-maintainer upload

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Dec 2024 20:07:30 +0100
