=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: guzzle
 Section: php
 Priority: optional
-Maintainer: Katharina Drexel <katharina.drexel@bfh.ch>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- phpab,
  php-guzzlehttp-promises,
  php-guzzlehttp-psr7,
  php-psr-http-client,
  php-symfony-deprecation-contracts,
+ phpab,
  pkg-php-tools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
