=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	#	--template debian/autoload.tests.php.tpl \
 	#	tests
 	# Workaround to ensure the local class takes precedence during tests.
-	#ln -sr src guzzlehttp/guzzle 
+	#ln -sr src guzzlehttp/guzzle
 
 #override_dh_auto_test:
 #	phpunit
